/**
 * An abstract animal. Contains properties
 * and methods common to all animals.
 * 
 */
public abstract class AbsAnimal implements IAnimal {

	int length;
	
	AbsAnimal(int length)
	{
		this.length = length;
	}
	
	/**
	 * This is the lengthBelow method.
	 * It determines whether the animal is below
	 * a certain size.
	 * 
	 * @param size The size against which we're comparing the animal.
	 * @return True if the animal is below size. False otherwise.
	 */
	public boolean lengthBelow()
	{
		//This is an if statement
		if(this.length < size)
		{
			return true;
		}
		else
		{
			return false;
		}
	}
}
